/* Prototypes for functions defined in
M:tuning.c
 */

static void __regargs inittool(struct TuneTool * );

static struct Event * __stdargs __saveds processevent(struct Event * );

static struct Event * __stdargs __saveds processlist(struct TuneTool * , struct Event * , long , long );

static long __regargs readtuning(long , struct Tuning * );

static struct Tuning * __regargs tuninginlist(struct Tuning * tuning);

static struct Tuning * __stdargs __saveds loadtuningfile(void);

static void __stdargs __saveds drawitem(struct RastPort * , struct Tuning * , short );

static struct Tuning * selecttuning(struct TuneTool * );

static void __regargs deletetuning(struct Tuning * );

static void __regargs removetuning(struct TuneTool * );

static void __regargs showtuningname(struct TuneTool * , short );

struct Accessory * FindAccessory(char const * );

static void ExportTuning(struct TuneTool * );

static struct Tuning * ImportTuning(void);

static void __stdargs __saveds edittool(struct TuneTool * );

static void __stdargs __saveds removetool(void);

static long __stdargs __saveds savesize(struct TuneTool * tool);

static struct Tool * __stdargs __saveds loadtool(long file,
                              long size);

static long writepitchtable(long file,
                            struct Tuning * ptab,
                            UBYTE mask);

static long writetuning(long file,
                        struct Tuning * ptab);

static long __stdargs __saveds savetool(long file,
                     struct TuneTool * tool);

struct ToolMaster * __stdargs __saveds inittoolmaster(void);

