/***
*		Tuningw2.h -- ui for second generation AlternateTuning tool
*		 1994 Another Option   All rights reserved.
***/

/*
============================================================================
|    DATE   | WHAT
============================================================================
  26 Jan 94 | created
  23 Feb 94 | got rid of extraneous menu items
*/

/* gadget ids */
#define SELECT 1
#define LOAD   2
#define EDIT   3
#define GRAB   4
#define REMOVE 5

/*** coordinates for a box around the selected tuning name ......
static SHORT BorderVectors1[] = {
	0,0,
	203,0,
	203,10,
	0,10,
	0,0
};
static struct Border Border1 = {
	77,15,
	3,0,JAM1,
	5,
	BorderVectors1,
	NULL
};
...... */

static struct IntuiText IText1 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Remove",
	NULL
};

static struct Gadget Gadget5 = {
	NULL,
	216,32,
	64,9,
	GADGHBOX+GADGHIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText1,
	NULL,
	NULL,
	REMOVE,
	NULL
};

static struct IntuiText IText2 = {
	4,0,JAM1,
	8,1,
	NULL,
	"Import",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	147,32,
	64,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText2,
	NULL,
	NULL,
	GRAB,
	NULL
};

static struct IntuiText IText3 = {
	4,0,JAM1,
	16,1,
	NULL,
	"Edit",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	78,32,
	64,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText3,
	NULL,
	NULL,
	EDIT,
	NULL
};

static struct IntuiText IText4 = {
	4,0,JAM1,
	16,1,
	NULL,
	"Open",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	9,32,
	64,9,
	NULL,
	RELVERIFY,
	BOOLGADGET,
	NULL,
	NULL,
	&IText4,
	NULL,
	NULL,
	LOAD,
	NULL
};

static struct IntuiText IText5 = {
	4,0,JAM1,
	4,1,
	NULL,
	"Tuning:",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	9,16,
	64,9,
	NULL,
	GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	&IText5,
	NULL,
	NULL,
	SELECT,
	NULL
};

#define GadgetList1 Gadget1

/*** 
static struct IntuiText IText6 = {
	3,0,JAM1,
	0,0,
	NULL,
	"A Tuning In the List",
	NULL
};

static struct MenuItem SubItem1 = {
	NULL,
	137,-1,
	160,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText6,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText7 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Remove Tuning",
	NULL
};

static struct MenuItem MenuItem5 = {
	NULL,
	0,32,
	152,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText7,
	NULL,
	NULL,
	&SubItem1,
	MENUNULL
};
***/

static struct IntuiText IText8 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Import Tuning",
	NULL
};

static struct MenuItem MenuItem4 = {
	NULL,  //&MenuItem5,
	0,16,  //0,24,
	152,8,
	ITEMTEXT+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText8,
	NULL,
	NULL,
	NULL,
	MENUNULL
};

static struct IntuiText IText9 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Edit Tuning",
	NULL
};

static struct MenuItem MenuItem3 = {
	&MenuItem4,
	0,8, //0,16,
	152,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText9,
	NULL,
	'E',
	NULL,
	MENUNULL
};

/***
static struct IntuiText IText10 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Save Tuning...",
	NULL
};

static struct MenuItem MenuItem2 = {
	&MenuItem3,
	0,8,
	152,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText10,
	NULL,
	'S',
	NULL,
	MENUNULL
};
***/

static struct IntuiText IText11 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Open Tuning...",
	NULL
};

static struct MenuItem MenuItem1 = {
	&MenuItem3, //&MenuItem2,
	0,0,
	152,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText11,
	NULL,
	'O',
	NULL,
	MENUNULL
};

static struct Menu Menu1 = {
	NULL,
	0,0,
	63,0,
	MENUENABLED,
	"Project",
	&MenuItem1
};

#define MenuList1 Menu1

static struct NewWindow NewWindowStructure1 = {
	177,12,
	290,50,
	0,1,
	GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

#define WTITLE "Alternate Tuning"
#define GCOUNT 5

/* menu item numbers */
#define MENU_LOAD   0
#define MENU_SAVE   1
#define MENU_EDIT   2
#define MENU_GRAB   3
#define MENU_REMOVE 4
